CESA-2008-008 - rev 1

[See all my vulnerabilities at http://scary.beasts.org/security]

[Blog if you want to subscribe to new findings is at http://scarybeastsecurity.blogspot.com/]

Python VM breakout bugs

Programs affected: Python prior to v2.5.2.
Severity: Break out of Python VM if you can execute arbitrary Python code. Possible attacks against trusted applications using affected APIs.

Various bugs I reported were fixed in the v2.5.2 Python release. There were a lot of Python vendor security updates recently; these fixes were fed into that process. Specific bugs include:

CESA-2008-008 - rev 1
Chris Evans